Name:           maven-indexer
Version:        5.1.1
Release:        9%{?dist}
Summary:        Standard for producing indexes of Maven repositories

License:        ASL 2.0
URL:            http://maven.apache.org/maven-indexer/index.html

## jars need to be removed from tarball so that the srpm doesn't violate their
## licensing terms:
#
# wget http://central.maven.org/maven2/org/apache/maven/indexer/maven-indexer/5.1.1/maven-indexer-5.1.1-source-release.zip
# unzip maven-indexer-5.1.1-source-release.zip
# pushd maven-indexer-5.1.1/ && find -name *.jar -delete && popd
# zip -r maven-indexer-5.1.1-source-release-CLEAN.zip maven-indexer-5.1.1/
Source0:        %{name}-%{version}-source-release-CLEAN.zip

BuildArch:      noarch

BuildRequires:  aether-api
BuildRequires:  aether-util
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-compress
BuildRequires:  atinject
BuildRequires:  bouncycastle
BuildRequires:  felix-osgi-compendium
BuildRequires:  felix-osgi-core
BuildRequires:  google-guice
BuildRequires:  jetty-start
BuildRequires:  jmock
BuildRequires:  jpackage-utils
BuildRequires:  junit
BuildRequires:  lucene3
BuildRequires:  lucene3-contrib
BuildRequires:  maven-local
BuildRequires:  maven-archetype-catalog
BuildRequires:  maven-archetype-common
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-failsafe-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-wagon
BuildRequires:  plexus-cli
BuildRequires:  plexus-containers-component-metadata
BuildRequires:  plexus-utils
BuildRequires:  port-allocator-maven-plugin
BuildRequires:  regexp
BuildRequires:  slf4j
BuildRequires:  truezip-driver-zip
BuildRequires:  truezip-file

%description
Apache Maven Indexer (former Sonatype Nexus Indexer) is the defacto
standard for producing indexes of Maven repositories. The Indexes
are produced and consumed by all major tools in the ecosystem.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name '*.jar' -delete
find -name '*.zip' -delete
find -name '*.class' -delete

%pom_remove_dep org.mortbay.jetty:jetty indexer-cli
%pom_remove_dep org.mortbay.jetty:jetty indexer-core

%pom_remove_dep org.sonatype.aether:aether-api indexer-core
%pom_remove_dep org.sonatype.aether:aether-util indexer-core
%pom_add_dep org.eclipse.aether:aether-api indexer-core
%pom_add_dep org.eclipse.aether:aether-util indexer-core

%pom_remove_dep org.sonatype.sisu:sisu-inject-plexus indexer-cli
%pom_remove_dep org.sonatype.sisu:sisu-inject-plexus indexer-core
%pom_remove_dep org.sonatype.sisu:sisu-inject-plexus indexer-artifact
%pom_add_dep org.codehaus.plexus:plexus-container-default indexer-cli
%pom_add_dep org.codehaus.plexus:plexus-container-default indexer-core
%pom_add_dep org.codehaus.plexus:plexus-container-default indexer-artifact

%pom_remove_plugin org.apache.rat:apache-rat-plugin
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

%pom_disable_module indexer-cli

find -name *.java -exec sed -i -e "s/org.sonatype.aether/org.eclipse.aether/g" {} \;

%build
# skip tests because of unpackaged test deps
%mvn_build --skip-tests

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 12 2015 Gerard Ryan <galileo@fedoraproject.org> - 5.1.1-8
- Build against lucene3 now that it's available (& expected here)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 22 2014 Gerard Ryan <galileo@fedoraproject.org> - 5.1.1-5
- Switch to java-headless requires
- Add patch for lucene 4 API changes

* Sat Aug 24 2013 Gerard Ryan <galileo@fedoraproject.org> - 5.1.1-4
- Stop building indexer-cli that bundles lots of stuff

* Mon Aug 12 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 5.1.1-3
- Remove unneeded animal-sniffer dependency

* Sat Aug 10 2013 Gerard Ryan <galileo@fedoraproject.org> - 5.1.1-2
- [RHBZ-958162] Migrate from aether to its subpackages
- Remove dependency on jetty-start, since it's for test

* Sat Aug 10 2013 Gerard Ryan <galileo@fedoraproject.org> - 5.1.1-1
- Update to version 5.1.1
- Replace patches with POM macros
- [RHBZ-985695] Replace sisu dependency
- [RHBZ-985705] Use new eclipse version of aether
- Clean up to use new maven guidelines and macros

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 4.1.2-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 25 2012 Gerard Ryan <galileo@fedoraproject.org> - 4.1.2-3
- Don't install super jar created by maven-shade-plugin indexer-core-*-cli.jar

* Wed Jul 25 2012 Gerard Ryan <galileo@fedoraproject.org> - 4.1.2-2
- Remove jars that we don't want to redistribute here from source zip in srpm.

* Mon Jul 09 2012 Gerard Ryan <galileo@fedoraproject.org> - 4.1.2-1
- Initial package.
